
Foreman - Feature #8720

Add disable_dhcp_validations global setting

12/16/2014 04:12 AM - Lukas Zapletal

Status: Rejected   

Priority: Normal   

Assignee: Ori Rabin   

Category: Orchestration   

Target version:    

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We struggle with our DHCP validation code in both Discovery and Staypuft. We are looking into the issues but as a quick

workaround, we could implement a simple global setting that would disable DHCP validator which is causing the "DHCP Conflict"

screen with Override red button. We will keep this turned off for Foreman Core, but people might turn it on for Discovery or Staypuft

deployments until proper soulution is found.

Related issues:

Related to Foreman - Bug #5637: DHCP conflicts triggered for non-conflicting ... Closed 05/08/2014

History

#1 - 12/16/2014 04:13 AM - Lukas Zapletal

- Related to Bug #5701: Creating a host without OS set gives undefined method `boot_filename' exception added

#2 - 02/25/2015 03:54 AM - Lukas Zapletal

- Related to deleted (Bug #5701: Creating a host without OS set gives undefined method `boot_filename' exception)

#3 - 02/25/2015 04:17 AM - Lukas Zapletal

- Status changed from New to Rejected

This might be solved already with http://projects.theforeman.org/issues/5637

I am going to close this one.

#4 - 02/25/2015 04:18 AM - Lukas Zapletal

- Related to Bug #5637: DHCP conflicts triggered for non-conflicting leases added
